package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;


/**
 * 项目评分列表(TaskScore)实体类
 *
 * @author makejava
 * @since 2024-10-15 10:49:43
 */
public class TaskScore implements Serializable {
    private static final long serialVersionUID = -66307246224831101L;
    /**
     * id
     */
    private Integer id;
    /**
     * 项目编号
     */
    private Integer tid;
    /**
     * 专业度
     */
    private Integer professionalism;
    /**
     * 沟通力
     */
    private Integer communicationSkills;
    /**
     * 响应度
     */
    private Integer responsiveness;
    /**
     * 公出形象
     */
    private Integer publicImage;
    /**
     * 服务态度
     */
    private Integer serviceAttitude;
    /**
     * 月度汇报
     */
    private Integer monthlyReport;
    /**
     * 月度汇报
     */
    private Integer yearReport;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 创建时间
     */
    private Date createTime;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTid() {
        return tid;
    }

    public void setTid(Integer tid) {
        this.tid = tid;
    }

    public Integer getProfessionalism() {
        return professionalism;
    }

    public void setProfessionalism(Integer professionalism) {
        this.professionalism = professionalism;
    }

    public Integer getCommunicationSkills() {
        return communicationSkills;
    }

    public void setCommunicationSkills(Integer communicationSkills) {
        this.communicationSkills = communicationSkills;
    }

    public Integer getResponsiveness() {
        return responsiveness;
    }

    public void setResponsiveness(Integer responsiveness) {
        this.responsiveness = responsiveness;
    }

    public Integer getPublicImage() {
        return publicImage;
    }

    public void setPublicImage(Integer publicImage) {
        this.publicImage = publicImage;
    }

    public Integer getServiceAttitude() {
        return serviceAttitude;
    }

    public void setServiceAttitude(Integer serviceAttitude) {
        this.serviceAttitude = serviceAttitude;
    }

    public Integer getMonthlyReport() {
        return monthlyReport;
    }

    public void setMonthlyReport(Integer monthlyReport) {
        this.monthlyReport = monthlyReport;
    }

    public Integer getYearReport() {
        return yearReport;
    }

    public void setYearReport(Integer yearReport) {
        this.yearReport = yearReport;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}

